Name:           openjazz
Version:        20240919
Release:        1%{?dist}
Summary:        Remake of the classic Jazz Jackrabbit games
License:        GPLv2+
Group:          Amusements/Games
URL:            http://www.alister.eu/jazz/oj/
Source:         https://github.com/AlisterT/openjazz/archive/refs/tags/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
OpenJazz is a free, open-source version of the classic Jazz Jackrabbit™ games.
To play, you will need the files from one of the original games.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install
desktop-file-validate %{buildroot}%{_datadir}/applications/OpenJazz.desktop

%files
%doc README.md
%license licenses.txt
%{_bindir}/OpenJazz
%{_datadir}/applications/OpenJazz.desktop
%{_datadir}/icons/hicolor/scalable/apps/OpenJazz.svg
%{_datadir}/icons/hicolor/48x48/apps/OpenJazz.png
%{_datadir}/pixmaps/OpenJazz.png

%changelog
* Thu Feb 13 2025 josef radinger <cheese@nosuchhost.net> - 20240919-1
- initial version for fedora


